Bug 1255173 - Consume fix for "Multipath is not correctly identifying iscsi devices, and misconfiguring them"
Consume fix for "Multipath is not correctly identifying iscsi devices, and mi...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm (Show other bugs)
3.6.0
Unspecified Unspecified
high Severity high
: ovirt-3.6.0-rc3
: 3.6.0
Assigned To: Nir Soffer
Elad
: ZStream
Depends On: 1254292
Blocks: 880738 1275637
  Show dependency treegraph
 
Reported: 2015-08-19 16:30 EDT by Nir Soffer
Modified: 2016-03-10 07:07 EST (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1256081 1275637 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 45115 master MERGED multiapth: Require newer multiapth version Never
oVirt gerrit 47578 ovirt-3.6 MERGED multiapth: Require newer multiapth version Never
oVirt gerrit 47582 ovirt-3.5 MERGED multiapth: Require newer multiapth version Never
oVirt gerrit 47744 ovirt-3.5 MERGED spec: Unbreak build on rhel Never
oVirt gerrit 47763 ovirt-3.5 ABANDONED Restore: multiapth: Require newer multiapth version Never
oVirt gerrit 47764 ovirt-3.5 ABANDONED Restore: spec: Unbreak build on rhel Never

  None (edit)
Description Nir Soffer 2015-08-19 16:30:58 EDT
Description of problem:

Multipath did not identify iscsi devices, so their session recovery_tmo
was not configured correctly. This cause too slow failover when path is
having trouble.

This issue was fixed in device-mapper-multipath-0.4.9-82.el7.
Vdsm should require this version when it is available.
Comment 2 Eyal Edri 2015-10-29 10:52:37 EDT
this bug was cloned to 3.5 but target milestone wasn't returned to 3.6.0,
moving to rc3.
Comment 3 Elad 2015-11-02 08:55:07 EST
Latest vdsm build (vdsm-4.17.10-5.el7ev.noarch) now requires the following device-mapper-multipath build:
device-mapper-multipath-0.4.9-85.el7.x86_64
Comment 4 Sandro Bonazzola 2015-11-24 11:33:37 EST
target milestone was on 3.6.1, not on 3.6.0-rc3.
Please note that this bug is referenced in git log after 4.17.10.1 build so I'm not sure that VERIFIED is the right state for this bug.
Comment 5 Nir Soffer 2015-11-24 15:40:42 EST
(In reply to Sandro Bonazzola from comment #4)
> target milestone was on 3.6.1, not on 3.6.0-rc3.
> Please note that this bug is referenced in git log after 4.17.10.1 build so
> I'm not sure that VERIFIED is the right state for this bug.

Elad verfied it with vdsm-4.17.10-5.el7ev.noarch
This is good enough for me.
Comment 7 Allon Mureinik 2016-03-10 05:49:16 EST
RHEV 3.6.0 has been released, setting status to CLOSED CURRENTRELEASE
Comment 8 Allon Mureinik 2016-03-10 05:50:55 EST
RHEV 3.6.0 has been released, setting status to CLOSED CURRENTRELEASE
Comment 9 Allon Mureinik 2016-03-10 07:07:26 EST
RHEV 3.6.0 has been released, setting status to CLOSED CURRENTRELEASE

Note You need to log in before you can comment on or make changes to this bug.